# Profile for a confined compatibility access token

<div class="api-op" data-api-operation>
<div class="api-op__main">

<p class="api-endpoint"><span class="method method-get">GET</span> <code>/compat/workos/sso/profile</code></p>

Requires current deployment and environment compatibility gates and a live publishable client key. Native access tokens and grants are refused.

<dl class="api-facts"><div><dt>Scope</dt><dd><code>sso:profile</code></dd></div><div><dt>Auth</dt><dd>Access token</dd></div><div><dt>Since</dt><dd>1.0</dd></div></dl>

## Responses

<ul class="api-responses">
<li class="api-response"><span class="api-status api-status--ok">200</span> <span>Normalized profile <span class="api-field__type">WorkosProfile</span></span></li>
<li class="api-response"><span class="api-status api-status--bad">401</span> <span>Codes: <a href="/errors/authentication_required/">authentication_required</a>, <a href="/errors/api_key_invalid/">api_key_invalid</a>. <span class="api-field__type">Error</span></span></li>
<li class="api-response"><span class="api-status api-status--bad">403</span> <span>Codes: <a href="/errors/api_key_scope_missing/">api_key_scope_missing</a>, <a href="/errors/ip_not_allowed/">ip_not_allowed</a>, <a href="/errors/plan_limit_reached/">plan_limit_reached</a>. <span class="api-field__type">Error</span></span></li>
<li class="api-response"><span class="api-status api-status--bad">429</span> <span>Code: <a href="/errors/rate_limited/">rate_limited</a>. Retry-After is set. <span class="api-field__type">Error</span></span></li>
<li class="api-response"><span class="api-status api-status--bad">503</span> <span>Code: <a href="/errors/service_unavailable/">service_unavailable</a>. Retry-After is set; writes are paused. <span class="api-field__type">Error</span></span></li>
<li class="api-response"><span class="api-status api-status--neutral">default</span> <span>Any other error, including <a href="/errors/internal_error/">internal_error</a>. Every code is in the error catalogue. <span class="api-field__type">Error</span></span></li>
</ul>

Errors share one shape; see the [error code catalogue](/errors/).

</div>
<div class="api-op__code">

**curl**

```sh wrap
curl -X GET \
  "https://api.ohauthcat.com/compat/workos/sso/profile" \
  -H "Authorization: Bearer $OHAUTHCAT_ACCESS_TOKEN"
```

**Node**

```javascript wrap
const response = await fetch(
  "https://api.ohauthcat.com/compat/workos/sso/profile",
  {
    method: "GET",
    headers: {
      Authorization: `Bearer ${process.env.OHAUTHCAT_ACCESS_TOKEN}`,
    },
  },
);
const data = await response.json();
```

**Python**

```python wrap
import os
import requests

response = requests.get(
    "https://api.ohauthcat.com/compat/workos/sso/profile",
    headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_ACCESS_TOKEN']}"},
)
data = response.json()
```

```json title="Response 200" wrap
{
  "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
  "object": "profile",
  "connection_id": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
  "connection_type": "GenericSAML",
  "organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
  "idp_id": "0oa1b2c3d4E5F6g7h8i9",
  "email": "jane@acme.com",
  "first_name": "Jane",
  "last_name": "Doe",
  "name": "Acme Corp",
  "role": {
    "slug": "acme"
  },
  "roles": [
    {
      "slug": "acme"
    }
  ],
  "groups": ["Engineering"],
  "custom_attributes": {},
  "raw_attributes": {}
}
```

</div>
</div>
